package com.zcloud.service.emergency.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.emergency.EmergencyDrillOrgMapper;
import com.zcloud.service.emergency.EmergencyDrillOrgService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：应急指挥机构
 * 作者：luoxiaobao
 * 时间：2021-06-19
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class EmergencyDrillOrgServiceImpl implements EmergencyDrillOrgService {

	@Autowired
	private EmergencyDrillOrgMapper emergencydrillorgMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		emergencydrillorgMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		emergencydrillorgMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		emergencydrillorgMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return emergencydrillorgMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return emergencydrillorgMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return emergencydrillorgMapper.findById(pd);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception{
		emergencydrillorgMapper.deleteAll(pd);
	}

	/**列表(根据预案id查询)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listByBaseId(PageData pd)throws Exception{
		return emergencydrillorgMapper.listByBaseId(pd);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteByBaseId(PageData pd)throws Exception{
		emergencydrillorgMapper.deleteByBaseId(pd);
	}
}

